TAPI Windows Versionierung & Starface TSP Kompatibilität

  • Moin,


    kurze Frage, weil ich im WIKI nicht fündig wurde.


    Welche Windows TAPI Versionierung unterstützt eigentlich der Starface TSP?

    TAPI v2.2

    oder

    TAPI v3.1

    ???


    Funktionell sollte ja vermutlich eine Unterstützung der MS TAPI v2.2 ausreichen. Und die meisten Applikationen nutzen das ja auch so.


    Es könnte aber sein, dass ein Kunde zukünftig eine wohl nach erster Analyse MS TAPI v3.1 basierte Software einsetzen möchte.


    Dazu Zusatzfrage:

    Braucht es dann eigentlich auch einen TSP, der die MS TAPI v3.1 unterstützt oder arbeitet die Applikation auch mit einem TSP zusammen, der v2.2 anbietet?

    So weit ich erkennen kann (bzw. der Softwarehersteller bekannt gibt), sind die Funktionserweiterungen der MS TAPI v3.3 von der Software nicht genutzt. Es geht im Wesentlichen nur um eingehende Rufnummernauswertung und das Initiieren einer abgehenden Verbindung (MakeCall).

    Somit sollte doch ein TSP, der MS TAPI v2.2 unterstützt auch gehen?


    Aber vielleicht ist's ja auch ganz einfach und Starface gibt mit seinem TSP eine MS TAPI Versionierung v3.1 an das TAPI Subsystem von MS Windows ab.


    Habt Ihr zwei Antworten für mich? ;)


    Lieben Dank!

    und Gruss, R.

  • Hi,


    ja TAPI 2.2. reicht. Das App für Windows Handbuch sagt dazu im Kapitel "Übersicht zu TAPI":


    Quote

    Zudem muss beachtet werden, dass nur TAPI 2 Funktionen implementieren werden. Es sind aber auch TAPI 3 Anwendungen (z.B. CRM oder Call Center) kompatibel, solange diese nur die TAPI 2 Funktionen verwenden.


    Reicht Dir das?

    Gruß

    Andreas

  • Jo, das ist schon mal eine Aussage.


    Bestätigt mich, dass TAPI v2.2 Funktionen an sich wohl kompatibel mit der TAPI v3.1 ist.


    Und es also keinen speziellen TSP benötigt, der sich mit 3.1 gegenüber der MS TAPI identifiziert.


    Und der Starface TSP auch „nur“ TAPI v2.2 unterstützt.


    Danke!!!

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!